{
  inputs,
  config,
  pkgs,
  fetchFromGitHub,
  ...
}:
{
  modules = {
    hyfetch.enable = true;
    sops.enable = true;
    nixvim.enable = true;
    tmux.enable = true;
    # theme.enable = true;
    fish.enable = true;
    direnv.enable = true;
    git.enable = true;
  };
  # Home Manager needs a bit of information about you and the paths it should
  # manage.
  home.username = "doloro";
  home.homeDirectory = "/home/doloro";

  # services = {
  # };

  # This value determines the Home Manager release that your configuration is
  # compatible with. This helps avoid breakage when a new Home Manager release
  # introduces backwards incompatible changes.
  #
  # You should not change this value, even if you update Home Manager. If you do
  # want to update the value, then make sure to first check the Home Manager
  # release notes.
  home.stateVersion = "25.11"; # Please read the comment before changing.

  # The home.packages option allows you to install Nix packages into your
  # environment.
  home.packages = with pkgs; [
    hello
    vim
    lazygit
    btop
    sops
  ];
  home.sessionVariables = {
    EDITOR = "nvim";
  };

  xdg.configFile."mimeapps.list".force = true;

  programs = {
    home-manager.enable = true;
  };
}
